Blob Blame History Raw
---
- hosts: localhost
  tags:
    - classic
  tasks:
    - dnf:
        name: "*"
        state: latest
    - ansible.builtin.user:
        name: testuser

- hosts: localhost
  roles:
  - role: standard-test-basic
    tags:
    - classic
    tests:
    - smoke_default:
        dir: smoke
        run: runuser testuser -c './venv.sh'
    - smoke27:
        dir: smoke
        run: runuser testuser -c 'VERSION=2.7 METHOD=virtualenv ./venv.sh'
    - smoke27_seeder_pip:
        dir: smoke
        run: runuser testuser -c 'VERSION=2.7 METHOD=virtualenv-seeder-pip ./venv.sh'
    - smoke35:
        dir: smoke
        run: VERSION=3.5 METHOD=virtualenv-no-download INSTALL_OR_SKIP=true ./venv.sh
    - smoke36:
        dir: smoke
        run: runuser testuser -c 'VERSION=3.6 METHOD=venv TOX=false ./venv.sh'
    - smoke37:
        dir: smoke
        run: runuser testuser -c 'VERSION=3.7 METHOD=venv ./venv.sh'
    - smoke38:
        dir: smoke
        run: runuser testuser -c 'VERSION=3.8 METHOD=venv ./venv.sh'
    - smoke39:
        dir: smoke
        run: runuser testuser -c 'VERSION=3.9 METHOD=venv ./venv.sh'
    - smoke311:
        dir: smoke
        run: runuser testuser -c 'VERSION=3.11 METHOD=venv CYTHON=false ./venv.sh'
    - smoke312:
        dir: smoke
        run: runuser testuser -c 'VERSION=3.12 METHOD=venv ./venv.sh'
    - smoke39_seeder_pip:
        dir: smoke
        run: runuser testuser -c 'VERSION=3.9 METHOD=virtualenv-seeder-pip ./venv.sh'
    - smoke34_optional:
        dir: smoke
        run: VERSION=3.4 METHOD=venv INSTALL_OR_SKIP=true ./venv.sh
    - smoke310_optional:
        dir: smoke
        run: VERSION=3.10 METHOD=venv TOX=false INSTALL_OR_SKIP=true ./venv.sh
    - smokepypy:
        dir: smoke
        run: runuser testuser -c 'VERSION=2.7 METHOD=virtualenv PYTHON=pypy ./venv.sh'
    - smokepypy39:
        dir: smoke
        run: runuser testuser -c 'VERSION=3.9 METHOD=venv PYTHON=pypy3.9 ./venv.sh'
    - selftest37:
        dir: selftest
        run: runuser testuser -c 'VERSION=3.7 X="-x test_socket -x test_asyncgen -x test_asyncio -x test_compile -x test_concurrent_futures -x test_itertools -x test_multiprocessing_fork -x test_multiprocessing_forkserver -x test_shutil -x test_time -x test_multiprocessing_spawn -x test_threading -x test_wsgiref" ./parallel.sh'
    - debugtest38:
        dir: selftest
        run: runuser testuser -c 'VERSION=3.8 PYTHON="python3-debug" X="test_ssl" ./parallel.sh'
    - debugflags:
        dir: flags
        run: runuser testuser -c 'python3-debug ./assertflags.py -O0'
    - marshalparser_compatibility:
        dir: marshalparser
        run: runuser testuser -c 'SAMPLE=10 test_marshalparser_compatibility.sh'
    required_packages:
    - util-linux  # for runuser
    - dnf
    - gcc
    - gcc-c++
    - virtualenv
    - python2.7
    - python3.6
    - python3.7
    - python3.8
    - python3.9
    - python3.11
    - python3.12
    - pypy
    - pypy3.9-devel
    - python2-devel
    - python3-devel
    - pypy-devel
    - python3-tox
    - python3-tkinter
    - python3-test
    - python3-debug
    - python3-rpm-macros
    - marshalparser